 /**********************************************\
 * The TCAP file has the following structure	*
 *												*
 * struct tcap_file {							*
 *	 unsigned number_of_nodes;					*
 *	 char indexes[1..number_of_nodes][32]		*
 *	 struct tcap_entry terminals[1..n];			*
 *	 } ;										*
 \**********************************************/

#define TCAP_FNAME	"/config/tcap.dbase"

struct tcap_entry {
	char term_name[17];
	char term_num_rows;
	char term_num_cols;
	char term_type;
	char term_wrap_type;
	char term_spare[8];

	char dircur_type;
	char dircur_row_first;
	char dircur_beg[4];
	char dircur_roff;
	char dircur_sep;
	char dircur_coff;
	char dircur_end;
	char dircur_row_top;
	char dircur_spare;

	char disp_home[4];
	char disp_up[4];
	char disp_down[4];
	char disp_left[4];
	char disp_right[4];
	char disp_scroll_up[4];
	char disp_scroll_down[4];
	char disp_clear[4];
	char disp_clear_eol[4];
	char disp_clear_eos[4];
	char disp_delete_char[4];
	char disp_delete_line[4];
	char disp_insert_line[4];
	char disp_insert_beg[4];
	char disp_insert_end[4];
	char disp_blink_beg[4];
	char disp_blink_end[4];
	char disp_highlight_beg[4];
	char disp_highlight_end[4];
	char disp_inverse_beg[4];
	char disp_inverse_end[4];
	char disp_underline_beg[4];
	char disp_underline_end[4];
	char disp_spare[10][4];

	char colour_type;
	char colour_for_first;
	char colour_beg[4];
	char colour_foff;
	char colour_sep[4];
	char colour_boff;
	char colour_end[4];
	char fcolour_beg[4];
	char colour_spare[5][4];

/*
	char colour_beg[4];
	char colour_col[8][4]; /*black,blue,green,magenta,red,cyan,yellow,white*/
	char colour_end[4];
*/

	char box_beg[4];
	char box_end[4];
	char box_vertical;
	char box_horizontal;
	char box_top_left;
	char box_top_right;
	char box_bot_left;
	char box_bot_right;
	char box_top_tee;
	char box_bot_tee;
	char box_left_tee;
	char box_right_tee;
	char box_cross;
	char box_solid_block;
	char box_shade_block;
	char box_spare[8];

	char key_alternate[5];
	char key_up[5];
	char key_down[5];
	char key_left[5];
	char key_right[5];
	char key_home[5];
	char key_end[5];
	char key_page_up[5];
	char key_page_down[5];
	char key_insert[5];
	char key_delete[5];
	char key_rubout[5];
	char key_erase[5];
	char key_select[5];
	char key_cancel[5];
	char key_help[5];
	char key_show[5];
	char key_tab_to_beg[5];
	char key_tab_to_end[5];
	char key_spare[4][5];
	char key_functions[20][5];
	} ;

extern struct tcap_entry tcap_entry;
extern int    tcap_row, tcap_col;
extern char   tcap_colour;
